<?
define("ADMIN_AUTHORIZATION",1);
include("../../../includes/common.php");

$table = "pages";

$id = trim($_GET['id']=="")?trim($_POST['id']):trim($_GET['id']);



$CheckObj=new TCheckForm;

//$res=pg_query($DB_LINK, );

/*getting row*/
if($id>0){
	$row = mysql_fetch_object(mysql_query("select * from $table where id=$id"));
	$name = $row->name;
	$title = $row->title;
	$pseudo_name = $row->pseudo_name;
	$html_code = $row->content;
	$stat=$row->status;
}
else{
	$id=-1;
}

/* generating fields */
$fields=Array();
if ($id>0) {
    $fields[id]=Array($id,'ID:');
}

$fields = Array_Merge($fields,Array(
	"name" => Array('<input type="text" size=40 class="text_input" >','Название:',"Введите название."),
	"title" => Array('<input type="text" size=40 class="text_input" >','Заголовок:',"Введите заголовок."),
	"pseudo_name" => Array('<input type="text" size=40 class="text_input" maxlength=20>','Статическое имя:',"Укажите правильное статическое имя.", "^[A-Za-z0-9_-]*$"),
	"html_code" => Array('<htmleditor width="100%" height="300">','HTML код:'),
	"stat" => Array('<select><option value="1">Активный<option value="0">Не активный</select>','Статус:','Укажите статус, пожалуйста.',"^0|1$")
));

if(isset($_POST['subm'])){
	reset ($_POST);
	while (list($key, $value) = each ($_POST)) {
		$$key = $value;
	}
	
	if($id<=0||($row->pseudo_name!=$pseudo_name))
	{
		$static_name = $_POST['pseudo_name'];
		
		if($id>0)
		{
			$row = mysql_fetch_object(mysql_query("select * from $table where id=$id"));
		}
		else
		{
			$add = true;
		}
		/*
		if (("" != $static_name))
		{
				$error .= "Такое статическое имя уже используется, выберите другое, пожалуйста.<br>\n";
		}
		*/
		
		if($error==""&&$row->pseudo_name!=$pseudo_name&&$id>0)
		{
				$static_changed = true;
				$old_static_name = $row->pseudo_name;
		}
		else{
				$static_changed = false;
		}
	}     
		
	if($error==""){
		
		$arr = Array(
			"name" => addslashes($name),
			"title" => addslashes($title),
			"pseudo_name" => addslashes($pseudo_name),
			"content" => addslashes($html_code),
			"status" => $stat
		);
		
		if(($id<0?$id=AddRecord($table,$arr):UpdateRecord($table,$arr,$id)) )
		{
			$_SESSION['STATUS_MSG'] = "Информация успешно сохранена!";
			header("Location: ./index.php");
			exit;
		}
		else{
			$_SESSION['ERROR_MSG'] = "Ошибка при работе с базой данных.";
			header("Location: ./index.php");
			exit;
		}
	}
}	
$pass="";
$c_pass="";
foreach($fields as $key=>$value){
	if ('html_code' != $key)
	{
		$$key=htmlspecialchars(stripslashes($$key));
	}
	else
	{
		$$key=stripslashes($$key);
	}
	$smarty->assign($key,$$key);
}

/* smarty */
$smarty->assign('id',$id);

$page_title = $id>0?"Изменение рекламного материала":"Добавление нового рекламного материала";
$smarty->assign('index_page','./index.php?l_pager');
$smarty->assign('page_title',$page_title);
$smarty->assign('top_menu_tpl',"admin_pages_menu.tpl");

$smarty->assign('error',$error);
$smarty->assign('status',$status);

/* table template */
$smarty->assign('fields',$fields);
$smarty->assign('table_width',"95%");
$smarty->assign('main_tpl',"admin_add_form.tpl");
/* display content */
$smarty->display('admin_index.tpl');

?>